      subroutine BLNKEN
      include 'SIZE.INC'
      include 'UNITS.INC'
        real BUFFER(VARREC)
        integer IBUFF(VARIEC), RRECS, IRECS, CRECS, TRECS,
     &  NREALS, NINTS, NCHARS
        integer M,L,NREC,ISET,II,K
        integer I,J,OFFSET,RECDAT(FILDAT),HRECS
        character*1 CBUFF(VARCEC)
      include 'ENVSIZ.INC'
        data BUFFER,IBUFF,CBUFF/VARREC*0.0,VARIEC*0,VARCEC*' '/
      do 100 I = 1, IOSIZ
         IO(I) = 0.0
100   continue
      HRECS = FILDAT/VARIEC
      if (FILDAT-VARIEC*HRECS.ne.0) HRECS = HRECS+1
      M = 0
      do 120 I = 1, HRECS
         read (RANUNT(MACHNO),rec=I) IBUFF
         do 110 L = 1, VARIEC
            M = M+1
            if (M.gt.FILDAT) go to 130
            RECDAT(M) = IBUFF(L)
110      continue
120   continue
130   continue
      NREALS = RECDAT(25)
      NINTS = RECDAT(26)
      NCHARS = RECDAT(51)
      RRECS = RECDAT(21)
      IRECS = RECDAT(22)
      CRECS = RECDAT(55)
      TRECS = RRECS+IRECS+CRECS
      NREC = RECDAT(23)
      ISET = RECDAT(11)-1
      do 230 II = 1, NREC
         OFFSET = (II-1)*TRECS+ISET
         do 160 I = 1, RRECS
            J = (I-1)*VARREC
            K = J+VARREC
            J = J+1
            M = 0
            do 140 L = J, K
               M = M+1
               if (L.gt.NREALS) go to 150
               BUFFER(M) = IO(L)
140         continue
150         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) BUFFER
160      continue
         OFFSET = OFFSET+RRECS
         do 190 I = 1, IRECS
            J = (I-1)*VARIEC
            K = J+VARIEC
            J = J+1
            M = 0
            do 170 L = J, K
               M = M+1
               if (L.gt.NINTS) go to 180
               IBUFF(M) = IOI(L)
170         continue
180         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) IBUFF
190      continue
         OFFSET = OFFSET+IRECS
         do 220 I = 1, CRECS
            J = (I-1)*VARCEC
            K = J+VARCEC
            J = J+1
            M = 0
            do 200 L = J, K
               M = M+1
               if (L.gt.NCHARS) go to 210
               CBUFF(M) = IOC(L)
200         continue
210         continue
            J = OFFSET+I
            write (RANUNT(MACHNO),rec=J) CBUFF
220      continue
230   continue
      write (PRINTR(MACHNO),5000) NREC
5000  format (/1X,I5,' Records initialized for the environmental databas
     &e.')
      return
      end
